package com.hanwha.morakmorak.di

import com.hanwha.morakmorak.ui.main.MainViewModel
import com.hanwha.morakmorak.ui.main.home.HomeViewModel
import com.hanwha.morakmorak.ui.main.home.detail.HomeDetailViewModel
import com.hanwha.morakmorak.ui.main.home.detail.chat.DetailChatViewModel
import com.hanwha.morakmorak.ui.main.home.detail.info.DetailInfoViewModel
import com.hanwha.morakmorak.ui.main.home.post.HomePostViewModel
import com.hanwha.morakmorak.ui.main.home.post.PostDialogViewModel
import com.hanwha.morakmorak.ui.splash.SplashViewModel
import org.koin.android.viewmodel.ext.koin.viewModel
import org.koin.dsl.module.module

/**
 * Created by aaron on 06/09/2019
 */

val viewModelModule = module {

    viewModel { SplashViewModel(get(), get()) }

    viewModel { MainViewModel() }

    viewModel { HomeViewModel(get()) }
    viewModel { HomeDetailViewModel(get(), get()) }
    viewModel { HomePostViewModel(get(), get()) }
    viewModel { DetailInfoViewModel(get(), get()) }
    viewModel { DetailChatViewModel() }
    viewModel { PostDialogViewModel() }
}